/* style.css */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  
}

:root {
  --verde-principal: #00a86b; 
  --verde-oscuro: #007a4d;
  --gris-suave: #f8f9fa;
}

body{
  font-family: 'Poppins', sans-serif;
  background:#ececec;
  color:#111;
}
h1, h2, h3, h4 {
    font-family: 'Montserrat', sans-serif;
    letter-spacing: -0.5px; 

    }

/* HR */

.header{
    width:100%;
    height:90px;
    background:#fff;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 5%;
    position:fixed;
    top:0;
    left:0;
    z-index:9999;
    box-shadow:0 2px 10px rgba(0,0,0,0.08);
}

.logo{
    width:90px;
}

.logo img{
    width:100%;
}

/* MENU */

.menu-toggle{
    display:none;
    font-size:2rem;
    cursor:pointer;
    color:#1ca701;
}

.navbar a {
    text-decoration: none;
    color: #1ca701;
    font-weight: 600;
    position: relative;
    padding: 5px ;
    transition: color 0.3s ease;
}

.navbar a:hover {
    color: black;
}

.navbar a::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: #1ca701;
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

.navbar a:hover::after {
    transform: scaleX(1);
}

/* REDES */

.socials{
    display:flex;
    gap:10px;
}

.socials a{
    width:22px;
    height:22px;
    border-radius:50%;
    background:#1ca701;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    font-size: 0.75rem; 
    transition: transform 0.3s ease, background 0.3s ease;
}


.socials a:hover{
    transform: scale(1.15);
    background: #000000;
}

/* BR */

.banner{
  margin-top:0;
  position:relative;
}
.banner-content h1, 
.banner-content h2 {
    font-size: 4rem;
    font-weight: bold;
    font-family: 'Montserrat', sans-serif; 
}

.slider{
  position:relative;
  overflow:hidden;
}

.slide{
  display:none;
  position:relative;
}

.slide.active{
  display:block;
}

.slide img{
  width:100%;
  height:90vh;
  object-fit:cover;
  display:block;
}

.overlay{
  position:absolute;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.4);
  top:0;
  left:0;
}

.banner-content{
  position:absolute;
  top:50%;
  left:8%;
  transform:translateY(-50%);
  color:white;
}

.banner-content h1{
  font-size:4rem;
  font-weight:bold;
}

.dots{
  position:absolute;
  bottom:30px;
  left:50%;
  transform:translateX(-50%);
  display:flex;
  gap:10px;
}

.dot{
  width:15px;
  height:15px;
  border-radius:50%;
  background:#fff;
  opacity:0.5;
}

.dot.active{
  opacity:1;
}



/*==================================
==================================*/

.stats-section{
    width:100%;
    backdrop-filter: blur(8px);
    box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    padding:20px 3%;
}

.stats-container{
    width:100%;
    max-width:1100px;
    margin:0 auto 70px;
    padding:clamp(8px,2vw,18px);
    gap:clamp(2px,1vw,15px);
    overflow:hidden;
    backdrop-filter: blur(8px);
    box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    background: rgba(0, 0, 0, 0.65);
    border-radius:20px;
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:5px;

}

.stat-item{
    text-align:center;
    padding:clamp(5px,1.5vw,20px);
    transition:.35s;
    border-radius:15px;
    min-width:0;
}

.stat-item:hover{
    transform:translateY(-8px);
}

.stat-icon{
    width:clamp(30px,5vw,60px);

    height:clamp(30px,5vw,60px);
    margin-bottom:15px;
    margin:auto;
    border-radius:50%;
    background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
    display:flex;
    justify-content:center;
    align-items:center;
    box-shadow:
    0 10px 25px rgba(28,167,1,.25);
}

.stat-icon i{
    color:#fff;
    font-size:clamp(14px,2vw,28px);
}

.stat-item h2{
    color:#fff;
    font-size:clamp(1rem,3vw,2.2rem);

    margin-bottom:8px;
    font-weight:700;
}

.stat-item p{
    color:#fff;
    font-size:clamp(.55rem,1.2vw,1rem);
}

/* Hover */

.stat-item:hover .stat-icon{
    transform:rotate(10deg) scale(1.08);
    transition:.35s;

}

/* 2 */

  .empresa {
    position:relative;
    width:100%;
    min-height:100vh;
    padding:40px 4% 80px;
    overflow:hidden;
}

.empresa-content{
    position:relative;
    z-index:5;
    width:100%;
    max-width:1600px;
    margin:auto;
}

.parallax-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;

    background-image: url('../Galeria/Imagenes/DJI_0473.jpg');
    background-attachment: fixed; 
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    
    pointer-events: none; 
}

.empresa-info {
    position: relative;
    z-index: 5; 
    margin-left:auto;
    margin-right:8%;
    margin-top:-20px;
    width: 550px;
    background: rgba(0, 0, 0, 0.65);
    padding: 35px;
    border-radius: 25px;
    color: white;
    backdrop-filter: blur(8px);
    box-shadow: 0 10px 30px rgba(0,0,0,0.3);
}

.empresa-info h2{
    font-size: 3rem;
    margin-bottom: 20px;
}

.empresa-info p{
    line-height: 1.8;
    margin-bottom: 25px;
}

.empresa-info a{
    padding: 15px 35px;
    border: none;
    border-radius: 40px;
    background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
    color: white;
    cursor: pointer;
    font-size: 1rem;
    text-decoration:none;
    transition: all 0.3s ease;
}
.empresa-info a:hover {
    background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
    transform: translateY(-2px);
}


/**/

.especialidades{

    position: relative;
    z-index: 20;
    margin-top: -80px;
    background:linear-gradient(
        185deg,
        #1ca701,
        #78f100
    );
    border-radius: 50px 50px 0 0;
    box-shadow: 0 -10px 40px rgba(0,0,0,0.25);
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 30px;
    padding: 120px 7% 80px;
}

.card{
    background: white;
    border-radius: 20px;
    padding: 20px;
    text-align: center;
    display: flex;

    flex-direction: column;
    height: 100%;
}

.card img{
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 15px;
    margin-bottom: 20px;
}

.card h3{
    font-size: 1.5rem;
    color: #1ca701;
    margin-bottom: 15px;
}

.card p{
    line-height: 1.6;
}

.card, .producto {
    transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275), box-shadow 0.3s ease;
}

.card:hover, .producto:hover {
    transform: translateY(-10px); 
    box-shadow: 0 15px 30px rgba(0,0,0,0.12);
}

/*==================================================
==================================================*/

:root{

    --green:#1ca701;
    --green-light:#78f100;
    --black:#000000;
    --white:#ffffff;
    --text:#5d5d5d;
    --shadow:rgba(0,0,0,.08);
}

.process-section{

    width:100%;
    background:#fff;
    padding:100px 8%;
    position:relative;
    overflow:hidden;

}

/* Luces decorativas */

.process-section::before{

    content:"";
    position:absolute;
    width:450px;
    height:450px;
    background:var(--green-light);
    border-radius:50%;
    filter:blur(170px);
    opacity:.08;
    top:-220px;
    left:-180px;
}

.process-section::after{

    content:"";
    position:absolute;
    width:350px;
    height:350px;
    background:var(--green);
    border-radius:50%;
    filter:blur(160px);
    opacity:.05;
    bottom:-150px;
    right:-120px;
}

/*==========================
        TITULO
==========================*/

.process-header{

    max-width:800px;
    margin:auto;
    text-align:center;
    position:relative;
    z-index:5;

}

.process-header span{

    color:var(--green);
    font-size:.95rem;
    font-weight:700;
    letter-spacing:3px;
    text-transform:uppercase;
}

.process-header h2{
    margin:20px 0;
    font-size:clamp(2.3rem,5vw,3.8rem);
    color:var(--black);
    line-height:1.2;
}

.process-header p{
    color:#666;
    line-height:1.8;
    font-size:1rem;
}

/*==========================
        GRID
==========================*/

.process-grid{

    margin-top:90px;
    display:grid;
    grid-template-columns:repeat(5,1fr);
    gap:25px;
    position:relative;
    z-index:2;
}

/*==========================
      LINEA CONECTORA
==========================*/

.process-grid::before{

    content:"";
    position:absolute;
    left:9%;
    right:9%;
    top:55px;
    height:5px;
    background:linear-gradient(
        90deg,
        var(--green),
        var(--green-light)
    );

    border-radius:50px;

    z-index:0;

}

/*==========================
        TARJETAS
==========================*/

.process-card{

    background:#fff;
    border-radius:18px;
    padding:35px 25px;
    text-align:center;
    border:2px solid rgba(28,167,1,.10);
    box-shadow:
        0 15px 35px var(--shadow);
    transition:.35s;
    position:relative;
    z-index:2;
}


/*==========================HOVER==========================*/

.process-card:hover{
    transform:translateY(-15px);
    box-shadow:
        0 20px 45px rgba(28,167,1,.30);
}

.process-card:hover h3,
.process-card:hover p{
    color:#070707;
}

.process-card:hover .process-icon{
    background:#fff;
    transform:scale(1.08) rotate(10deg);
}

.process-card:hover .process-icon i{
    color:var(--green);

}

/*========================== I ==========================*/

.process-icon{

    width:90px;
    height:90px;
    margin:auto auto 25px;
    border-radius:50%;
    background:linear-gradient(
        135deg,
        var(--green),
        var(--green-light)
    );

    display:flex;
    justify-content:center;
    align-items:center;
    transition:.35s;
    box-shadow:
        0 10px 25px rgba(28,167,1,.25);
}

.process-icon i{
    color:#000;
    font-size:38px;
}

/*==========================
        TITULO CARD
==========================*/

.process-card h3{
    color:#000;
    font-size:1.25rem;
    margin-bottom:15px;
}

/*==========================
        TEXTO CARD
==========================*/

.process-card p{
    color:var(--text);
    line-height:1.8;
    font-size:.95rem;
}

/*==========================
      ANIMACION
==========================*/

.process-card{
    animation:fadeUp .8s ease forwards;
}

.process-card:nth-child(2){
    animation-delay:.15s;

}

.process-card:nth-child(3){
    animation-delay:.3s;
}

.process-card:nth-child(4){
    animation-delay:.45s;
}

.process-card:nth-child(5){
    animation-delay:.6s;

}

@keyframes fadeUp{

    from{
        opacity:0;
        transform:translateY(40px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }

}

/*==========================
        BOTÓN
==========================*/

.process-btn{
    width:100%;
    display:flex;
    justify-content:center;
    margin-top:70px;
}

.btn-process{
    display:inline-flex;
    align-items:center;
    gap:12px;
    padding:18px 40px;
    border-radius:50px;
    background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
    color:#fff;
    font-size:1rem;
    font-weight:600;
    text-decoration:none;
    transition:.35s;

    box-shadow:
        0 10px 30px rgba(28,167,1,.25);

}

.btn-process:hover{
    transform:translateY(-5px);
    box-shadow:
        0 18px 40px rgba(28,167,1,.35);
}

.btn-process i{
    transition:.35s;
}

.btn-process:hover i{
    transform:translateX(6px);
}



/**/

.catalogo{
  padding:80px 7%;
  text-align:center;
  background:#f5f5f5;
}

.catalogo h2{
  font-size:3rem;
  margin-bottom:50px;
}

.catalogo-grid{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:30px;
}

.producto{
  background:#fff;
  padding:25px;
  border-radius:20px;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
  position: relative;
    overflow: hidden;
    border: 1px solid rgba(0,0,0,0.05); 
}

.producto img{
  width:100%;
  height:250px;
  object-fit:cover;
  border-radius:15px;
  margin-bottom:20px;
  transition: transform 0.5s ease;
}

.producto h4{
  margin-bottom:10px;
}

.producto a{
  background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
  text-decoration:none;
}

.btn-catalogo {
    display: inline-block; 
    margin-top: 40px;
    padding: 15px 40px;
    border: none;
    background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
    color: white;
    border-radius: 40px;
    font-size: 1rem;
    cursor: pointer;
    text-decoration: none; 
    transition: background 0.3s, transform 0.3s;
}

.btn-catalogo:hover {
    background:linear-gradient(
        135deg,
        #1ca701,
        #78f100
    );
    transform: translateY(-2px);
}
.btn-catalogo i{
    transition:.35s;
}

.btn-catalogo:hover:hover i{
    transform:translateX(6px);
}


/* */

.footer{
  background:#111;
  color:#fff;
  padding:70px 7%;
  display:flex;
  justify-content:space-between;
  align-items:center;
  flex-wrap:wrap;
}

.footer-logo{
    width: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.footer-logo img{
    width: 100%;
    object-fit: contain;
    border-radius:50%;
}

.footer-info h2{
  margin-bottom:10px;
  font-size:2.5rem;
}

.footer-info{
    display:flex;
    flex-direction:column;
}


/*  */

.footer-links, .footer-text{
    list-style:none;
    display:flex;
    flex-direction:column;
    gap:5px;
    
}

.footer-links a{
    text-decoration:none;
    color:white;
    transition:0.3s;
}
.footer-links a:hover{
    color:#4cff4c;
    transform:translateX(5px);
    text-decoration:none;
}

.footer-lists{
    display:flex;
    gap:60px;  
    align-items:flex-start;
    margin:25px 0;
}


.footer-socials{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px; 
    flex-wrap: nowrap !important; 
    margin-bottom: 25px;
    text-decoration:none;
    
}

.footer-socials a{
    width:32px;
    height:32px;
    border-radius:50%;
    background:#1ca701;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    transition:0.3s;
}

.footer-socials a:hover{
    transform:scale(1.15);
    color: #000000;
    background:#78f100;
}

/* RESPONSIVE */



@media(max-width:1024px){
    .empresa {
        min-height: 80vh; 
        height: auto;
        flex-direction: column;
        justify-content: center; 
        padding: 60px 5% 0 5%; /* Añadimos padding inferior 0 */
        clip-path: inset(0 0 0 0); 
        background: transparent !important;
    }

    .parallax-bg {
        position: fixed; 
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        background-attachment: scroll !important; 
        background-position: center center;
        background-size: cover;
    }

    .empresa-info {
        width: 85%;
        margin: 40px auto; 
        right: auto;
        margin-right: auto;
        border-radius: 20px;
        padding: 40px 30px;
        backdrop-filter: blur(8px);
        box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    }

    .especialidades {
        margin-top: -5px !important; /* Un leve solapamiento elimina la línea blanca superior */
        padding-top: 80px;
        border-radius: 0 !important;
        box-shadow: 0 -2px 10px rgba(0,0,0,0.1);
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
    
    .process-grid{
    grid-template-columns:repeat(3,1fr);
}

.process-grid::before{
    display:none;
}

.process-card:nth-child(even){
    margin-top:0;
}
    
}

@media(max-width:992px){

      /* HR */
  .menu-toggle{
        display:block;
    }

    .header{
        width:100%;
        height:90px;
        background:#fff;
        display:flex;
        justify-content:space-between;
        align-items:center;
        padding:0 5%;
        position:fixed;
        overflow:visible;
    }

    .socials a{
        width:22px;
        height:22px;
        font-size:0.75rem;
    }

    .socials {
        gap: 5px;
    }

    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:white;
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:5px;
        height:0;
        overflow:hidden;
        transition:height 0.35s ease;
        box-shadow:0 10px 20px rgba(0,0,0,0.08);
    }
 
    .navbar a{
        font-size:12px;
        padding:5px 0;
    }

    .navbar.active{
        height:170px;
    }
    
    .navbar:not(.active){
        pointer-events:none;
    }
    .banner-content h1{
        font-size:2.5rem;
    }
    
    .empresa {
        min-height: 80vh;
        height: auto;
        flex-direction: column;
        justify-content: center;
        padding: 60px 5% 0 5%; 
        clip-path: inset(0 0 0 0); 
        background: transparent !important;
    }

    .parallax-bg {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        background-attachment: scroll !important;
    }

    .empresa-info {
        width: 85%;
        margin: 40px auto;
        right: auto;
        margin-right: auto;
        border-radius: 20px;
        padding: 40px 30px;
        backdrop-filter: blur(8px);
        box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    }

    .especialidades {
        margin-top: -5px !important; 
        padding-top: 80px;
        box-shadow: 0 -2px 10px rgba(0,0,0,0.1);
    }

    .process-section{
    padding:90px 6%;

}
    .stats-container{
    grid-template-columns:repeat(4,1fr);
}

.process-grid{
    grid-template-columns:repeat(2,1fr);
    gap:25px;
}

.process-header h2{
    font-size:2.7rem;
}



}

@media(max-width:768px){

.process-grid{
    grid-template-columns:1fr;
}

.process-header h2{
    font-size:2.2rem;
}

.process-card{
    padding:30px 22px;
}

.process-icon{
    width:80px;
    height:80px;
}

.process-icon i{
    font-size:32px;
}

.process-section{
    padding:70px 5%;
}

.stats-container{
    grid-template-columns:repeat(4,1fr);
}

    .catalogo-grid{
        grid-template-columns:1fr;
    }
    .footer{
        text-align:center;
        justify-content:center;
        gap:40px;
    }
}

@media(max-width:600px){
    .slide img{
        height:70vh;
    }
    .banner-content h1, 
    .banner-content h2 {
        font-size: 2rem;
    }
    .empresa-info h2{
        font-size:2rem;
    }
    
    .empresa {
        min-height: 90vh; 
        padding: 40px 5% 0 5%; 
        clip-path: inset(0 0 0 0); 
        background: transparent !important;
    }
    
    .parallax-bg {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        background-attachment: scroll !important;
    }

    .empresa-info {
        width: 95%;
        margin: 20px auto;
        padding: 30px 20px;
        backdrop-filter: blur(8px);
        box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    }
    
    .especialidades{
        grid-template-columns: 1fr;
        margin-top: -5px !important; 
        padding: 60px 7% 40px;
        box-shadow: none !important;
    }

    .menu-toggle{
        display:block;
    }

    .header{
        width:100%;
        height:90px;
        background:#fff;
        display:flex;
        justify-content:space-between;
        align-items:center;
        padding:0 5%;
        position:fixed;
        overflow:visible;
    }

    .socials a{
        width:18px;
        height:18px;
        font-size:0.45rem;
    }

    .socials{
        gap:4px;
        padding:0;
    }

    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:white;
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:5px;
        height:0;
        overflow:hidden;
        transition:height 0.35s ease;
        box-shadow:0 10px 20px rgba(0,0,0,0.08);
    }
 
    .navbar a{
        font-size:12px;
        padding:5px 0;
    }

    .navbar.active{
        height:170px;
    }
    
    .navbar:not(.active){
        pointer-events:none;
    }

    .stats-container{
    grid-template-columns:repeat(4,1fr);
}

     .stat-icon{
    width:clamp(35px,5vw,60px);
    height:clamp(35px,5vw,60px);
}


.stat-icon i{
    font-size:clamp(15px,2vw,28px);
}


.stat-item h2{
    font-size:clamp(1rem,3vw,2.2rem);
}


.stat-item p{
    font-size:clamp(.65rem,1.2vw,1rem);
}


    .footer-info{
        align-items:center;
        text-align:center;
    }

    .footer-lists{
        width:100%;
        display:flex;
        flex-direction:row;
        justify-content:center;
        align-items:flex-start;
        gap:35px;
        text-align:left;
    }

    .footer-links,
    .footer-text{
        align-items:flex-start;
        text-align:left;
    }

    .footer-socials{
        width:100%;
        justify-content:center;
    }
} 